Skip to main content
GET
/
v1
/
strategies
List strategies (coming soon)
curl --request GET \
  --url https://api.trydocent.com/v1/strategies \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.trydocent.com/v1/strategies"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.trydocent.com/v1/strategies', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "error": "<string>",
  "retryAfter": 123
}
This endpoint is not live yet. It currently returns 501 NOT_IMPLEMENTED while the API runtime finishes its agent and wallet migration.

Authorizations

Authorization
string
header
required

API key in the format dk_live_.... Pass as Authorization: Bearer dk_live_...

Response

501 - application/json

Not implemented

error
string
required

Human-readable error message

code
enum<string>
required

Machine-readable error code

Available options:
UNAUTHORIZED,
FORBIDDEN,
RATE_LIMITED,
BAD_REQUEST,
VALIDATION_ERROR,
NOT_FOUND,
ORDER_REJECTED,
ORDER_FAILED,
TRANSFER_FAILED,
REGISTRATION_FAILED,
ROTATION_FAILED,
NOT_IMPLEMENTED
retryAfter
number

Milliseconds until rate limit resets (only on 429)